aboutsummaryrefslogtreecommitdiffstats
path: root/tests/t0109-gitconfig.sh
diff options
context:
space:
mode:
authorChristian Hesse <mail@eworm.de>2019-12-11 10:55:24 +0100
committerChristian Hesse <mail@eworm.de>2019-12-11 11:04:02 +0100
commitca98c9e7bf31617efc3ff7d3575efe5bba3cde1a (patch)
tree6e8d96857a61296c3c34c1a95e180226e3c7a828 /tests/t0109-gitconfig.sh
parentgit: update to v2.24.1 (diff)
downloadcgit-ca98c9e7bf31617efc3ff7d3575efe5bba3cde1a.tar.xz
cgit-ca98c9e7bf31617efc3ff7d3575efe5bba3cde1a.zip
tests: skip tests if strace is not functional
Chances are that strace is available but not functional due to restricted permissions: strace: test_ptrace_get_syscall_info: PTRACE_TRACEME: Operation not permitted strace: ptrace(PTRACE_TRACEME, ...): Operation not permitted +++ exited with 1 +++ Just skip the tests then. Signed-off-by: Christian Hesse <mail@eworm.de>
Diffstat (limited to 'tests/t0109-gitconfig.sh')
-rwxr-xr-xtests/t0109-gitconfig.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/t0109-gitconfig.sh b/tests/t0109-gitconfig.sh
index 3ba6684..8cee75c 100755
--- a/tests/t0109-gitconfig.sh
+++ b/tests/t0109-gitconfig.sh
@@ -9,6 +9,12 @@ test -n "$(which strace 2>/dev/null)" || {
exit
}
+strace true 2>/dev/null || {
+ skip_all='Skipping access validation tests: strace not functional'
+ test_done
+ exit
+}
+
test_no_home_access () {
non_existent_path="/path/to/some/place/that/does/not/possibly/exist"
while test -d "$non_existent_path"; do